# Retrieve payment details using a ubr

Endpoint: GET /payouts/events/{ubr}
Version: 2
Security: BasicAuth

## Path parameters:

  - `ubr` (string, required)
    Unique payout request ID associated with the original payout. We have returned this in the payout response. PN/PZ/PO prefix plus 6 characters.
    Example: "PZ000N65"

## Header parameters:

  - `WP-CorrelationId` (string)
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

  - `WP-CallerId` (string)
    An ID used for logging purposes.

  - `WP-Timestamp` (string)

  - `Accept` (string)
    Example: "application/vnd.worldpay.wts.payout-v2+json"

## Response 200 fields (application/json):

  - `paymentId` (string,null)
    Unique identifier associated with the payment. GUID.

  - `paymentDatetime` (string,null)
    Date and time of the payment submission. DateTime ISO 8601.

  - `payeeName` (string,null)
    Complete payee name for the payout. This will be one of (depending on the beneficiary type):
fullName- concatenated value from title + firstName + middleName + lastName
companyName.

  - `sourceCurrency` (string,null)
    ISO 4217 alpha-3 currency code for the remitter account.

  - `sourceAmount` (number)
    Source amount. 18 digit precision including 2 decimal places.

  - `targetCurrency` (string,null)
    Target ISO 4217 alpha-3 currency codes for the payout.

  - `targetAmount` (number)
    Target amount.

  - `paymentState` (string,null)
    State of the payment. See appendix for possible states.

  - `bankName` (string,null)
    Name of the payee (beneficiary) bank which the payout is being made to.

  - `bankCode` (string,null)
    Beneficiary bank account bank code.

  - `iban` (string,null)
    Beneficiary IBAN. You must either provide the beneficiary's IBAN or account number.

  - `channel` (string,null)
    List of the channels that were sent in the request for this payout

  - `routedChannel` (string)
    The channel that was used to process this payout

  - `bankReference` (string,null)
    A bank-generated reference that enables customers to track their payout within the payment network. This feature is only available for specific routes. For details on availability, please contact your Relationship Manager.

  - `ubr` (string, required)
    Unique payout request ID associated with a payout submitted through our Account Payouts API. PN/PZ/PO prefix plus 6 characters, e.g. PZ000N65. Five numbers, a letter and finally two/four further numbers.

  - `narrative` (string,null)
    Reference provided by the remitter of the payment (unique for a remitter). In Account Payouts API - merchantNarrative.

  - `transactionReference` (string,null)
    Unique reference provided by you.

  - `beneficiaryAccountNumber` (string,null)
    Beneficiary bank account number. You must either provide beneficiary's account number or IBAN. Special characters are allowed.

  - `swiftBic` (string,null)
    Beneficiary bank account SWIFT/BIC.

  - `entity` (string, required)
    6-digit reference given to you by your Implementation Manager during the onboarding process.

  - `countryCode` (string,null)
    ISO 3166-1 Alpha-2 country code of the payout destination.

  - `payoutInstrumentId` (string,null)
    An ID generated by us, holding the beneficiary bank details.You have received this in the response of your "payout instrument creation" call using the Parties API.

  - `payoutInstrumentReference` (string,null)
    A reference of the payoutInstrument created by you. This field holds the beneficiary bank details. When not sending the payoutInstrumentReference you can use the payoutInstrumentId instead. When sending both, ensure they relate to the same payoutInstrument.

## Response 400 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 401 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 403 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 404 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.


